Package org.pgpainless.algorithm

# Enum Class CertificationType

java.lang.Object
java.lang.Enum<CertificationType>
org.pgpainless.algorithm.CertificationType

All Implemented Interfaces:
  `Serializable`, `Comparable<CertificationType>`, `Constable`

public enum CertificationType extends Enum<CertificationType>
Subset of `SignatureType`, reduced to certification types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CASUAL`
The issuer of this certification has done some casual verification of the claim of identity.
`GENERIC`
The issuer of this certification does not make any particular assertion as to how well the certifier has checked that the owner of the key is in fact the person described by the User ID.
`NONE`
The issuer of this certification has not done any verification of the claim that the owner of this key is the User ID specified.
`POSITIVE`
The issuer of this certification has done some casual verification of the claim of identity.

## Method Summary

Modifier and Type
Method
Description
`SignatureType`
`asSignatureType()`
`static CertificationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CertificationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GENERIC

public static final CertificationType GENERIC
The issuer of this certification does not make any particular assertion as to how well the certifier has checked that the owner of the key is in fact the person described by the User ID.

### NONE

public static final CertificationType NONE
The issuer of this certification has not done any verification of the claim that the owner of this key is the User ID specified.

### CASUAL

public static final CertificationType CASUAL
The issuer of this certification has done some casual verification of the claim of identity.

### POSITIVE

public static final CertificationType POSITIVE
The issuer of this certification has done some casual verification of the claim of identity.

## Method Details

### values

public static CertificationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CertificationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### asSignatureType

@Nonnull public SignatureType asSignatureType()